sayren Docs
구매자

구매자 주문 목록 조회

GET
/v1/customers/{customerId}/orders
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Path Parameters

customerId*string

Query Parameters

page?string

페이지 번호 (1부터, 기본 1)

size?string

페이지 크기 (기본 20, 최대 100)

Response Body

application/json

curl -X GET "https://example.com/v1/customers/string/orders"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "orderId": "string",        "orderedAt": "string",        "totalAmount": 0,        "testPayment": true,        "items": [          {            "orderItemId": "string",            "productName": "string",            "optionName": "string",            "quantity": 0,            "status": "PAYMENT_WAITING",            "claimStatus": "CANCEL_REQUESTED"          }        ]      }    ]  },  "error": null}